
%define rname	ArgoUML

Name:		argouml
Version:	0.34
Release:	%mkrel 3
Summary:	Free software for creating UML diagrams,program in java 
License:	EPLv1.0
Group:		Sciences/Mathematics
URL:		http://argouml.tigris.org/

Source0:	%{rname}-%{version}.tar.gz
Source1:	EPL.txt
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:	desktop-file-utils
BuildRequires:	unzip

Requires:	java >= 1.6.0

#Requires:	java-1.6.0-openjdk
#---------------------------------------
#Requires:	java-1.6.0-sun
#Requires:	java-1.6.0-sun-fonts
#Requires:	java-1.6.0-sun-jdbc
#Requires:	java-1.6.0-sun-alsa
#Requires:	java-1.6.0-sun-plugin

%description
ArgoUML is a powerful yet easy-to-use interactive, graphical software
design environment that supports the design, development and documentation 
of object-oriented software applications.

If you are familiar with a family of software applications called 
Computer Aided Software Engineering (CASE) tools then you should 
find ArgoUML instantly familiar.

The users of ArgoUML are software designers & architects, software 
developers, business analysts, systems analysts and other professionals 
involved in the analysis, design and development of software applications. 

Main features:

+ Open standards: XMI, SVG and PGML
+ 100% Platform independent thanks to the exclusive use of Java
+ Open Source, which allows extending or customizing.
+ Cognitive features like: reflection-in-action, opportunistic design, 
comprehension and problem solving 


%prep
%setup -q -n %{name}-%{version}

%build

%install
%__rm -rf %{buildroot}
%__cat > %_sourcedir/%{name} << EOF
#!/bin/sh
cd %{_datadir}/%{name}/
sh ./%{name}.sh ""
EOF

%__cat > %_sourcedir/%{name}.desktop << EOF
[Desktop Entry]
Version=1.0
Encoding=UTF-8
Name=ArgoUML
GenericName=To design diagrams UML
GenericName[en]=To design diagrams UML
GenericName[es]=Diseñar diagramas UML
Comment=ArgoUML is the leading open source UML modeling tool
Comment[en]=ArgoUML is the leading open source UML modeling tool
Comment[es]=Herramienta Libre para diseñar diagramas UML
Exec=/usr/bin/argouml
Icon=argouml.png
Terminal=false
Type=Application
Categories=Science;GTK;
EOF

%__install -Dm 755 %_sourcedir/%{name} %{buildroot}%{_bindir}/%{name}
%__install -Dm 644 %_sourcedir/%{name}.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop
%__install -Dm 644 icon/ArgoIcon128x128.png %{buildroot}%{_datadir}/pixmaps/%{name}.png
%__install -Dm 644 %{name}.sh %{buildroot}%{_datadir}/%{name}/%{name}.sh
%__cp -rf *.jar %{buildroot}%{_datadir}/%{name}
%__cp -rf ext %{buildroot}%{_datadir}/%{name}
%__cp %_sourcedir/EPL.txt .

%clean
%__rm -rf %{buildroot}

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root, -)
%doc EPL.txt README.txt
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}/*.jar
%{_datadir}/%{name}/*.sh
%{_datadir}/%{name}/ext/*.jar
%{_datadir}/%{name}/ext/*.xml
%{_datadir}/pixmaps/*.png

%changelog

* Tue Apr 30 2013 david.david (MLO Team) <david.david> 0.34-3.mga3
+ Revision: 3
- correcting "spec" file

* Sat Apr 13 2013 david.david (MLO Team) <david.david> 0.34-2.mga3
+ Rebuild package for Mageia 3 (Core)
- clean "spec" file

* Sun Mar 24 2013 Adrien.D <adriend> 0.34-1.mga2
- Backported from MGA1
- Clean SPEC

* Sat Jun 9 2012 Jorge Salazar Molina <aioros_jsm@hotmail.com>
- Built for Mageia 1
- ln-es description (spanish)
- Create menu entry
- Add icon into menu
- Initial package argouml-0.34 - Repository blogdrake.net
